Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.CR4-Pre1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.form.builder.services.model.items
Class LineGraphRepresentation

    java.lang.Object
      org.jbpm.form.builder.services.model.FormItemRepresentation
          org.jbpm.form.builder.services.model.items.LineGraphRepresentation

All Implemented Interfaces:
  Serializable, Mappable

    public class LineGraphRepresentation

extends FormItemRepresentation

See Also:
  Serialized Form

Constructor Summary
`LineGraphRepresentation()`

Method Summary
`boolean` | `addColumn(String key, String value)`
`boolean` | `addTuple(int x, int y, Object obj)`
`boolean` | `equals(Object obj)`
`Map<String,Object>` | `getDataMap()`
`List<Map.Entry<String,String>>` | `getDataStructure()`
`List<List<String>>` | `getDataTable()`
`String` | `getGraphTitle()`
`String` | `getGraphXTitle()`
`String` | `getGraphYTitle()`
`int` | `getOffsetHeight()`
`int` | `getOffsetWidth()`
`int` | `hashCode()`
`void` | `setDataMap(Map<String,Object> data)`
`void` | `setDataStructure(List<Map.Entry<String,String>> dataStructure)`
`void` | `setDataTable(List<List<String>> dataTable)`
`void` | `setGraphTitle(String graphTitle)`
`void` | `setGraphXTitle(String graphXTitle)`
`void` | `setGraphYTitle(String graphYTitle)`

Methods inherited from class org.jbpm.form.builder.services.model.FormItemRepresentation
`addEffectClass, getEffectClasses, getEventActions, getExternal, getHeight, getInput, getItemValidations, getOutput, getTypeId, getWidth, setEffectClasses, setEventActions, setExternal, setHeight, setInput, setItemValidations, setOutput, setWidth`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LineGraphRepresentation

    public LineGraphRepresentation()

Method Detail

### getDataTable

    public List<List<String>> getDataTable()

### setDataTable

    public void setDataTable(List<List<String>> dataTable)

### getDataStructure

    public List<Map.Entry<String,String>> getDataStructure()

### addColumn

    public boolean addColumn(String key,
                             String value)

### addTuple

    public boolean addTuple(int x,
                            int y,
                            Object obj)

### setDataStructure

    public void setDataStructure(List<Map.Entry<String,String>> dataStructure)

### getGraphTitle

    public String getGraphTitle()

### setGraphTitle

    public void setGraphTitle(String graphTitle)

### getGraphXTitle

    public String getGraphXTitle()

### setGraphXTitle

    public void setGraphXTitle(String graphXTitle)

### getGraphYTitle

    public String getGraphYTitle()

### setGraphYTitle

    public void setGraphYTitle(String graphYTitle)

### setDataMap

    public void setDataMap(Map<String,Object> data)
                    throws FormEncodingException

  Specified by:
    `setDataMap` in interface `Mappable`
  Overrides:
    `setDataMap` in class `FormItemRepresentation`
  Throws:
    `FormEncodingException`

### getDataMap

    public Map<String,Object> getDataMap()

  Specified by:
    `getDataMap` in interface `Mappable`
  Overrides:
    `getDataMap` in class `FormItemRepresentation`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `FormItemRepresentation`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `FormItemRepresentation`

### getOffsetWidth

    public int getOffsetWidth()

### getOffsetHeight

    public int getOffsetHeight()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.CR4-Pre1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.